## org.biojava.bio.symbol
Class IllegalAlphabetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.biojava.bio.BioException
                        |
                        +--org.biojava.bio.symbol.IllegalAlphabetException

public class IllegalAlphabetException
extends BioException

The exception to indicate that an invalid aphabet has been used.

The usual reason for throwing an IllegalAlphabetException is that you are trying to parse a SymbolList into a method that only works for some alphabets, but not for the alphabet associated with that SymbolList.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`IllegalAlphabetException()` Just make the exception.
`IllegalAlphabetException(java.lang.String message)` Make the exception with a message.
`IllegalAlphabetException(java.lang.Throwable t)`
`IllegalAlphabetException(java.lang.Throwable t, java.lang.String message)`

Methods inherited from class org.biojava.bio.BioException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAlphabetException

    public IllegalAlphabetException()

  Just make the exception.

### IllegalAlphabetException

    public IllegalAlphabetException(java.lang.String message)

  Make the exception with a message.

### IllegalAlphabetException

    public IllegalAlphabetException(java.lang.Throwable t)

### IllegalAlphabetException

    public IllegalAlphabetException(java.lang.Throwable t,
                                    java.lang.String message)